<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="xml" indent="yes"/>
	
	<xsl:template match="/">
		<fo:root>
		
			<fo:layout-master-set>
			
				<fo:simple-page-master master-name="Poem" page-height="11in" page-width="8.5in" 
					margin="1in">
					<fo:region-body margin="1in"/>
				</fo:simple-page-master>
				
			</fo:layout-master-set>
			
			<fo:page-sequence master-reference="Poem">
				<fo:flow flow-name="xsl-region-body">
					<fo:block font-weight="bold" font-size="18pt" font-family="Times" id="{generate-id(Title)}" break-before="page">
						<xsl:value-of select="//Title"/>
					</fo:block>
					<fo:block font-size="16pt" font-style="italic" font-family="Times" 
						margin-bottom=".1in" margin-left=".2in">
							- <xsl:value-of select="//Author"/>
					</fo:block>
					<fo:block linefeed-treatment="preserve" white-space-collapse="false" wrap-option="wrap" white-space-treatment="preserve" font-size="16pt">
						<xsl:value-of select="//Content"/>
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
			
		</fo:root>
	</xsl:template>
	
</xsl:stylesheet>